Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.factory
[Java] Class FactoryUtils

    java.lang.Object
      org.codehaus.griffon.factory.FactoryUtils

    public final class FactoryUtils
    extends Object

Authors:
  Andres Almiray

Constructor Summary
`private FactoryUtils()`

Method Summary
`static String` | `parseSize(String size, List sizes)`
`static double` | `toDouble(Object value)`
`static double` | `toDouble(Object value, double defaultValue)`
`static float` | `toFloat(Object value)`
`static float` | `toFloat(Object value, float defaultValue)`
`static int` | `toInt(Object value)`
`static int` | `toInt(Object value, int defaultValue)`
`static Long` | `toLong(Object value)`
`static Long` | `toLong(Object value, Long defaultValue)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### FactoryUtils

    private FactoryUtils()

Method Detail

### parseSize

    public static String parseSize(String size, List sizes)

### toDouble

    public static double toDouble(Object value)

### toDouble

    public static double toDouble(Object value, double defaultValue)

### toFloat

    public static float toFloat(Object value)

### toFloat

    public static float toFloat(Object value, float defaultValue)

### toInt

    public static int toInt(Object value)

### toInt

    public static int toInt(Object value, int defaultValue)

### toLong

    public static Long toLong(Object value)

### toLong

    public static Long toLong(Object value, Long defaultValue)

Groovy Documentation